<div class="grid grid-cols-1 h-full">
    <div class="grid grid-rows-1 h-full">
        <div class="grid grid-rows-2 h-full">
            <h2>Registra tus vehiculos</h2>
            <mat-divider></mat-divider>
        </div>
        <div class="grid grid-cols-2 h-full gap-4">
            <form [formGroup]="carForm">
                <div class="grid grid-cols-2 gap-2 border-dotted border-r-4  border-indigo-600 pr-4">
                    <mat-form-field appearance="fill">
                        <mat-label>Nombre dueño</mat-label>
                        <input matInput formControlName="carOwner">
                    </mat-form-field>
                    <mat-form-field appearance="fill">
                        <mat-label>Patente vehiculo</mat-label>
                        <input matInput formControlName="carPlate">
                    </mat-form-field>
                    <mat-form-field appearance="fill">
                        <mat-label>Color del vehiculo</mat-label>
                        <mat-select formControlName="carColor">
                            <mat-option *ngFor="let option of carColors" value="{{option.value}}">{{option.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field appearance="fill">
                        <mat-label>Tipo de vehiculo</mat-label>
                        <mat-select formControlName="carType" (selectionChange)="handleTypeSelected($event)">
                            <mat-option *ngFor="let option of carTypes" value="{{option.value}}">{{option.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field appearance="fill">
                        <mat-label>Tracción</mat-label>
                        <mat-select formControlName="carTraction">
                            <mat-option *ngFor="let option of carTractions" value="{{option.value}}">{{option.name}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>

                    <mat-form-field appearance="fill">
                        <mat-label>Fecha de compra</mat-label>
                        <input matInput formControlName="carYear" [matDatepicker]="picker">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>
            </form>
            <div class="grid grid-flow-col">
                <div class="col-span-12 grid grid-rows-3 grid-flow-col">
                    <div class="">
                        <h2>Datos del vehiculo</h2>
                        <mat-divider></mat-divider>
                    </div>
                    <div class="grid grid-flow-col row-span-2 align-middle">
                        <div *ngIf="carForm.controls['carType'].value" class="grid justify-items-center content-center -mt-4">
                            <!-- <img class="w-23 h-20" src="../../../../assets/img/car1.png"> -->
                            <img  class="w-25 h-20" src="../../../../assets/img/car{{carForm.controls['carType'].value}}.png">
                        </div>
                        <div class="flex justify-between col-span-12 grid grid-cols-2">
                            <div class="grid grid-cols-1">
                                <span>
                                    Dueño:
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    Patente:
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    Color:
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    Tipo:
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    Traccion:
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    Fecha de compra:
                                </span>
                                <mat-divider></mat-divider>
                            </div>
                            <div class="grid grid-cols-1 pr-4">
                                <span>
                                    {{carForm.controls['carOwner'].value ? carForm.controls['carOwner'].value : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    {{carForm.controls['carPlate'].value ? carForm.controls['carPlate'].value : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    {{carForm.controls['carColor'].value ? (carForm.controls['carColor'].value | carColor) : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    {{carForm.controls['carType'].value ? (carForm.controls['carType'].value | carType) : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    {{carForm.controls['carTraction'].value ? (carForm.controls['carTraction'].value | carTraction) : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                                <span>
                                    {{carForm.controls['carYear'].value ? (carForm.controls['carYear'].value | date:'longDate') : '-'}}
                                </span>
                                <mat-divider></mat-divider>
                            </div>
                        </div>
                        <div class="grid justify-center">
                            <div class="grid content-end">
                                <button mat-raised-button color="primary"  (click)="addNewCar()">
                                    <mat-icon class="pr-8">directions_car</mat-icon>
                                    Añadir vehiculo
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>